Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# NetworkTypes.h File Reference

Define Network Common Class and Types. More...

## Defines
#define | REGISTER_AS_REMOTE_PROCEDURE_CALL(networkObject, functionName) (networkObject)->RegisterAsRemoteProcedureCall((#functionName),(functionName))
#define | UNREGISTER_AS_REMOTE_PROCEDURE_CALL(networkObject, functionName) (networkObject)->UnregisterAsRemoteProcedureCall((#functionName))
## Typedefs
typedef unsigned short | ObjectID
typedef unsigned char | UniqueIDType
typedef unsigned short | PlayerIndex
## Variables
const PlayerIndex | UNASSIGNED_PLAYER_INDEX = 65535
const PlayerID | UNASSIGNED_PLAYER_ID
const ObjectID | UNASSIGNED_OBJECT_ID = 65535
const int | PING_TIMES_ARRAY_SIZE = 5

## Detailed Description

Define Network Common Class and Types.

This file is part of RakNet Copyright 2003, 2004 Rakkarsoft LLC and Kevin Jenkins.

Usage of Raknet is subject to the appropriate licence agreement. "Shareware" Licensees with Rakkarsoft LLC are subject to the shareware license found at http://www.rakkarsoft.com/shareWareLicense.html which you agreed to upon purchase of a "Shareware license" "Commercial" Licensees with Rakkarsoft LLC are subject to the commercial license found at http://www.rakkarsoft.com/sourceCodeLicense.html which you agreed to upon purchase of a "Commercial license" All other users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Refer to the appropriate license agreement for distribution, modification, and warranty rights.

## Define Documentation

#define REGISTER_AS_REMOTE_PROCEDURE_CALL | ( | networkObject,
|  | functionName |  | ) | (networkObject)->RegisterAsRemoteProcedureCall((#functionName),(functionName))

#define UNREGISTER_AS_REMOTE_PROCEDURE_CALL | ( | networkObject,
|  | functionName |  | ) | (networkObject)->UnregisterAsRemoteProcedureCall((#functionName))

## Typedef Documentation

typedef unsigned short ObjectID

| Typename for Network Object Identifier

typedef unsigned short PlayerIndex

| Typename for player index

typedef unsigned char UniqueIDType

| Typename for Unique Id

## Variable Documentation

const int PING_TIMES_ARRAY_SIZE = 5

| Sizeof the Ping Array

const ObjectID UNASSIGNED_OBJECT_ID = 65535

| Invalid Object Unique Id

const PlayerID UNASSIGNED_PLAYER_ID

| Initial value:
            {
                    0xFFFFFFFF, 0xFFFF
            }
Index of an invalid Player Unique Id

const PlayerIndex UNASSIGNED_PLAYER_INDEX = 65535

| Index of an unassigned player